import { ConfigYaml } from '@verdaccio/types';
/**
 * Return a native HTTP/HTTPS server instance
 * @param config
 * @param addr
 * @param app
 */
export declare function createServerFactory(config: ConfigYaml, addr: any, app: any): any;
/**
 * Start the server on the port defined
 * @param config
 * @param port
 * @param version
 * @param pkgName
 */
export declare function initServer(config: ConfigYaml, port: string | void, version: string, pkgName: string): Promise<void>;
/**
 * Exposes a server factory to be instantiated programmatically.
 *
    ```ts
    const app = await runServer(); // default configuration
    const app = await runServer('./config/config.yaml');
    const app = await runServer({ configuration });
    app.listen(4000, (event) => {
    // do something
    });
    ```
 * @param config
 */
export declare function runServer(config?: string | ConfigYaml): Promise<any>;
